{ pkgs ? import <nixpkgs> {}
}:

let
  inherit (pkgs) python3;
in

python3.pkgs.buildPythonApplication rec {
  pname = "dogetipbot-telegram";
  version = "1.1-2";

  src = ./.;

  doCheck = false;

  propagatedBuildInputs = with python3.pkgs; [
    python-telegram-bot
    requests
    pycoin
    sqlalchemy
  ];
}
